# Form implementation generated from reading ui file '.\ui\workers.ui'
#
# Created by: PyQt6 UI code generator 6.3.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.
import qdarktheme
from PyQt6 import QtCore, QtGui, QtWidgets

from PyQt6.QtWidgets import QTableWidgetItem


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(360, 626)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.tableWidget = QtWidgets.QTableWidget(self.centralwidget)
        self.tableWidget.setGeometry(QtCore.QRect(21, 46, 321, 481))

        self.tableWidget.setObjectName("tableWidget")

        self.tableWidget.setColumnCount(2)
        self.tableWidget.setRowCount(0)
        self.tableWidget.setHorizontalHeaderLabels(['сотрудник','номер'])
        self.pushButton = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton.setGeometry(QtCore.QRect(20, 540, 321, 61))
        font = QtGui.QFont()
        font.setFamily("Harrington")
        font.setPointSize(36)
        font.setUnderline(True)
        self.pushButton.setFont(font)
        self.pushButton.setObjectName("pushButton")
        self.pushButton.clicked.connect(self.selectWorkers)
        self.label = QtWidgets.QLabel(self.centralwidget)
        self.label.setGeometry(QtCore.QRect(21, 1, 332, 39))
        font = QtGui.QFont()
        font.setFamily("Noto Serif")
        font.setPointSize(22)
        font.setBold(True)
        font.setWeight(75)
        self.label.setFont(font)
        self.label.setObjectName("label")
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)


    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.pushButton.setText(_translate("MainWindow", "Select"))
        self.label.setText(_translate("MainWindow", "Номера сотрудников "))


    def selectWorkers(self):
        mySQLServer = "laptem"
        myDataBase = "naselenie"

        connection = pypyodbc.connect('Driver={SQL Server};'
                                      'Server=' + mySQLServer + ';'
                                    'Database=' + myDataBase + ';')

        cursor = connection.cursor()
        mySQLQuery = (
            '''
        SELECT 
            [Сотрудник]
           ,[СотрудникИд]          
        FROM [Naselenie].[dbo].[Сотрудники]
        order by Сотрудник Asc        
        ''')
        cursor.execute(mySQLQuery)
        result = cursor.fetchall()
        self.tableWidget.setRowCount(0)
        for row_number, row_data in enumerate(result):
            self.tableWidget.insertRow(row_number)

            for column_number, data in enumerate(row_data):
                self.tableWidget.setItem(row_number, column_number, QTableWidgetItem(str(data)))

    def selectWorkers(self):
        mySQLServer = "laptem"
        myDataBase = "naselenie"

        connection = pypyodbc.connect('Driver={SQL Server};'
                                      'Server=' + mySQLServer + ';'
                                    'Database=' + myDataBase + ';')

        cursor = connection.cursor()
        mySQLQuery = (
            '''
        SELECT 
            [Сотрудник]
           ,[СотрудникИд]          
        FROM [Naselenie].[dbo].[Сотрудники]
        order by Сотрудник Asc        
        ''')
        cursor.execute(mySQLQuery)
        result = cursor.fetchall()
        self.tableWidget.setRowCount(0)
        for row_number, row_data in enumerate(result):
            self.tableWidget.insertRow(row_number)

            for column_number, data in enumerate(row_data):
                self.tableWidget.setItem(row_number, column_number, QTableWidgetItem(str(data)))

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    app.setStyleSheet(qdarktheme.load_stylesheet())
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec())
